glibmm: Gio::MenuAttributeIter Class Reference

glibmm 2.33.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions
Gio::MenuAttributeIter Class Reference

MenuAttributeIter - A menu attribute iterator. More...

`#include <giomm/menuattributeiter.h>`

Inheritance diagram for Gio::MenuAttributeIter:
[legend]

List of all members.

## Public Member Functions
virtual | ~MenuAttributeIter ()
GMenuAttributeIter* | gobj ()
| Provides access to the underlying C GObject.
const GMenuAttributeIter* | gobj () const
| Provides access to the underlying C GObject.
GMenuAttributeIter* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
bool | get_next (Glib::ustring& out_name, Glib::VariantBase&value)
| This function combines g_menu_attribute_iter_next() with g_menu_attribute_iter_get_name() and g_menu_attribute_iter_get_value().
Glib::ustring | get_name () const
| Gets the name of the attribute at the current iterator position, as a string.
Glib::VariantBase | get_value ()
| Gets the value of the attribute at the current iterator position.
const Glib::VariantBase | get_value () const
| Gets the value of the attribute at the current iterator position.
bool | next ()
| Attempts to advance the iterator to the next (possibly first) attribute.
## Protected Member Functions
| MenuAttributeIter ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::MenuAttributeIter > | wrap (GMenuAttributeIter* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

MenuAttributeIter - A menu attribute iterator.

Since glibmm 2.32:

## Constructor & Destructor Documentation

virtual Gio::MenuAttributeIter::~MenuAttributeIter | ( |  | ) | `[virtual]`

Gio::MenuAttributeIter::MenuAttributeIter | ( |  | ) | `[protected]`

## Member Function Documentation

Glib::ustring Gio::MenuAttributeIter::get_name | ( |  | ) | const

Gets the name of the attribute at the current iterator position, as a string.

The iterator is not advanced.

Since glibmm 2.32:

Returns:
  The name of the attribute.

bool Gio::MenuAttributeIter::get_next | ( | Glib::ustring& | out_name,
|  | Glib::VariantBase& | value
| ) |  |

This function combines g_menu_attribute_iter_next() with g_menu_attribute_iter_get_name() and g_menu_attribute_iter_get_value().

First the iterator is advanced to the next (possibly first) attribute. If that fails, then `false` is returned and there are no other effects.

If successful, name and value are set to the name and value of the attribute that has just been advanced to. At this point, g_menu_attribute_iter_get_name() and g_menu_attribute_iter_get_value() will return the same values again.

The value returned in name remains valid for as long as the iterator remains at the current position. The value returned in value must be unreffed using Glib::variant_unref() when it is no longer in use.

Since glibmm 2.32:

Parameters:

  out_name | The type of the attribute.
  value | The attribute value.

Returns:
  `true` on success, or `false` if there is no additional attribute.

Glib::VariantBase Gio::MenuAttributeIter::get_value | ( |  | ) |

Gets the value of the attribute at the current iterator position.

The iterator is not advanced.

Since glibmm 2.32:

Returns:
  The value of the current attribute.

const Glib::VariantBase Gio::MenuAttributeIter::get_value | ( |  | ) | const

Gets the value of the attribute at the current iterator position.

The iterator is not advanced.

Since glibmm 2.32:

Returns:
  The value of the current attribute.

GMenuAttributeIter* Gio::MenuAttributeIter::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

const GMenuAttributeIter* Gio::MenuAttributeIter::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GMenuAttributeIter* Gio::MenuAttributeIter::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Gio::MenuAttributeIter::next | ( |  | ) |

Attempts to advance the iterator to the next (possibly first) attribute.

`true` is returned on success, or `false` if there are no more attributes.

You must call this function when you first acquire the iterator to advance it to the first attribute (and determine if the first attribute exists at all).

Since glibmm 2.32:

Returns:
  `true` on success, or `false` when there are no more attributes.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::MenuAttributeIter > wrap | ( | GMenuAttributeIter * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.